Bug 169562 - /sys/power/disk is missing
/sys/power/disk is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 13:46 EDT by Matthias Clasen
Modified: 2014-03-16 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 12:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-09-29 13:46:14 EDT
When trying to hibernate this x86_64 box, I get

$ pm-hibernate
/usr/sbin/pm-hibernate: line 19: /sys/power/disk: Permission denied

And when I look, that file is not present.

This is with kernel-2.6.13-1.1580_FC5
Comment 1 Dave Jones 2005-09-29 19:26:38 EDT
that should probably be trying to do..

echo disk > /sys/power/state
Comment 2 Bill Nottingham 2005-09-29 23:26:00 EDT
Hm. /sys/power/disk exists for me.
Comment 3 Dave Jones 2005-09-30 00:51:08 EDT
ahh, x86-64 currently has suspend disabled (its conditional upon hotplug cpu of
all things). I just fixed the config, it'll be in tomorrows rawhide.

pm-hibernate should probably still check for the presence of that file before
trying to use it though, as it won't be there on all archs.
(ia64 & ppc64 for example).  Is there any reason why we build pmutils on those
archs ?
Comment 4 Bill Nottingham 2005-09-30 11:52:34 EDT
Why not? Presumably they may grow PM implementations at some point. I'll add the
checks, though.
Comment 5 Bill Nottingham 2005-09-30 12:05:58 EDT
Checks added in 0.05-1.
Comment 6 Dave Jones 2005-09-30 19:58:54 EDT
sure, they might. But until they do, anyone running pm-hibernate on those archs
would see funky errors about missing files :)

Note You need to log in before you can comment on or make changes to this bug.